# $Revision: 1.22 $, $Date: 2002/09/03 02:22:02 $
Summary:	Emacs Lisp developer support
Summary(pl):	Wsparcie dla programistw Emacs Lisp
Name:		xemacs-devel-pkg
%define 	srcname	xemacs-devel
Version:	1.48
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildRequires:	texinfo
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Emacs Lisp developer support.

%description -l pl
Wsparcie dla programistw Emacs Lisp.

%prep
%setup -q -c
%patch0 -p1

%build
makeinfo man/xemacs-devel/patcher.texi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages/lisp,%{_infodir}}

cp -a lisp/* $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/lisp

install *.info* $RPM_BUILD_ROOT%{_infodir}

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/xemacs-devel/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*
%{_infodir}/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xemacs-devel-pkg.spec,v $
Revision 1.22  2002/09/03 02:22:02  kloczek
- updated to 1.48,
- added info pages for patcher to %files.

Revision 1.21  2002/07/17 17:06:38  kloczek
- updated to 1.46 and use new %doc.

Revision 1.20  2002/04/18 14:20:12  wiget
updated to 1.43

Revision 1.19  2002/04/14 12:26:56  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.18  2002/02/23 05:11:01  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/17 14:17:10  kloczek
- updated to 1.40.

Revision 1.15  2002/01/18 02:15:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2002/01/07 17:00:54  kloczek
- updated to 1.39 (bugfix release).

Revision 1.13  2001/12/20 12:35:58  qboosh
- pl translation, release 2

Revision 1.12  2001/12/02 11:25:27  kloczek
- cosmetics.

Revision 1.11  2001/11/27 16:35:39  mis
- autoupdated to 1.38

Revision 1.10  2001/08/02 08:32:09  mis
- autoupdated to 1.37

Revision 1.9  2001/05/11 18:37:28  mis
- autoupdated to 1.33

Revision 1.8  2001/02/11 16:56:34  mis
- updated to 1.31

Revision 1.7  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.6  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:17  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 22:32:10  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
